<?php
use Projectify\Projectify_Helper;

class projectifyCarouselSquare {

	public static $args;

	/**
	 * Initiate the shortcode
	 */
	public function __construct() {
		
		add_shortcode( 'pjfy_carousel_square', array( $this, 'render' ) );

	}

	function render( $args, $content = '') {
		

		$defaults = shortcode_atts( array (
			 'post_type'  				=> 'post',
			 'post_tax'   				=> '',
			 'post_terms' 				=> '',
			 'post_number' 				=> '',
			 'post_offset' 				=> '',
			 'cs_category_show' 		=> '',
			 'cs_nav_types' 			=> '',
			 'cs_main_layout' 			=> '',
			 'cs_box_shadow_alpha' 		=> '',
			 'cs_box_shadow_beta'	 	=> '',
			 'cs_item_ratio' 			=> '',
			 'pjfy_lightbox'			=> '',
			 'fn_page_include'			=> '',
			 'included_posts'			=> '',
		), $args );
		
		extract( $defaults );

		self::$args = $defaults;
		
		$fn_post_offset 			= $args['post_offset'];
		
		$query_args = array(
			'post_type' 			=> $args['post_type'],
			'offset' 				=> $fn_post_offset,
			'posts_per_page' 		=> $args['post_number'],
			'post_status' 			=> 'publish',
			'order' 				=> $args['post_order'],
			'orderby' 				=> $args['post_orderby'],
		);
		
		if($included_posts != ''){
			$included_posts = explode( ',', $included_posts );
		}else{
			$included_posts = array();
		}
		$query_args['post__in'] 	= $included_posts;
		
		$post_type 			= $args['post_type'];
		$fn_page_include 	= $args['fn_page_include'];
		if($post_type == 'page'){
			if($fn_page_include == 'featured_pages'){
				$query_args['meta_query'][] = array(
					'key'       => 'pjfy-meta-box-featured',
					'value'     => 'true',
					'compare'   => '==',
				);
			}
		}
			
		
		$categories = $args['post_terms'];
		
		// since v2.3
		if($categories != ''){
			$categories = explode( ',', $categories );
			$oldArray	= array();
			$count		= 0;
			$newArray	= array();
			foreach($categories as $cat){
				if (strpos($cat, '______') !== false) {
					$cat = explode('______', $cat);
					if(array_key_exists($cat[1],$newArray)){
						array_push($newArray[$cat[1]],$cat[0]);
					}else{
						$newArray[$cat[1]] = array($cat[0]);
					}
				}else{
					$oldArray[] = $cat;
				}
			}
			if(!empty($newArray)){
				foreach($newArray as $taxonomy => $terms){
					$count++;
					if($count > 1){
						$query_args['tax_query']['relation'] = 'OR';
					}
					$query_args['tax_query'] = array(
						array(
							'taxonomy' 	=> $taxonomy,
							'field' 	=> 'slug',
							'terms' 	=> $terms
						)
					);
				}
			}
			if(!empty($oldArray)){
				if($count > 1){
					$query_args['tax_query']['relation'] = 'OR';
				}
				$query_args['tax_query'] = array(
					array(
						'taxonomy' 	=> $args['post_tax'],
						'field' 	=> 'slug',
						'terms' 	=> $oldArray
					)
				);
			}	
		}
		
		
		$projectify_post_loop = new WP_Query($query_args);
		
		if($args['cs_nav_types'] == 'square'){
			$spanc = '<span class="c"></span>';
		}else{
			$spanc = '';
		}
		
		if($pjfy_lightbox === 'enable'){
			$parentLight = 'projectify_fn_lightbox';
			$childLight	 = 'lightbox';
		}else{
			$parentLight = '';
			$childLight	 = '';
		}
		
		$arrow			= '<span><span class="a"></span><span class="b"></span>'.$spanc.'</span>';
		if($args['cs_main_layout'] === 'numbered'){
			$owl_control = '<div class="numbered_control"><div class="n_prev">'.$arrow.'</div><div class="n_next">'.$arrow.'</div></div>';
		}else{
			$owl_control = '<div class="owl_control"><div class="fn_prev">'.$arrow.'</div><div class="fn_next">'.$arrow.'</div></div>';
		}
		
		
		
		
		$html = Projectify_Helper::projectify_open_wrap();
		$html .= '<div class="square_carousel_version"><div class="projectify_carousel_square '.$parentLight.' '.$args['cs_main_layout'].'" data-category-show="'.$args['cs_category_show'].'" data-nav-types="'.$args['cs_nav_types'].'" data-box-shadow-alpha="'.$args['cs_box_shadow_alpha'].'" data-box-shadow-beta="'.$args['cs_box_shadow_beta'].'"><div class="inner">'.$owl_control.'<div class="owl-carousel">';
		
		$image_relative = '<img src="'.PROJECTIFY_PLUGIN_URL.'assets/img/thumb-'.$args['cs_item_ratio'].'.jpg'.'" alt="" />';
		
		if($args['cs_main_layout'] === 'mini' || $args['cs_main_layout'] === 'numbered'){
			$mini_opener = '<div class="mini_img_holder">';
			$mini_closer = '</div>';
		}else{
			$mini_opener = $mini_closer = '';
		}
		// foreach
		foreach ( $projectify_post_loop->posts as $key => $fn_post ) {
			setup_postdata( $fn_post );
			$post_id 			= $fn_post->ID;
			$post_permalink 	= get_permalink($post_id);
			$post_taxonomy		= Projectify_Helper::post_taxanomy($args['post_type']);
			$post_cats			= '';
			if($args['post_type'] != 'page'){
				$post_cats			= Projectify_Helper::post_term_list($post_id, $post_taxonomy[0], false, 2, ', ');
			}
			
			$image 				= get_the_post_thumbnail_url( $post_id, 'full' );
			
			if($pjfy_lightbox === 'enable'){
				$imageURLThumb 	= get_the_post_thumbnail_url( $post_id, 'thumbnail' );
				$lightboxImg	= '<img class="pjfy_light_img" src="'.$imageURLThumb.'" alt="" />';
				$link			= '';
			}else{
				$lightboxImg 	= '';
				$link			= 'href="'.$post_permalink.'"';
			}
			
			$image_holder		= '<div class="img_holder" data-bg-img="'.$image.'"></div>';
			$title_holder		= '<div class="title_holder"><p><span>'.$post_cats.'</span></p><h3><a href="'.$post_permalink.'">'.$fn_post->post_title.'</a></h3></div>';
			
			$keyPro = $key+1;
			if($keyPro > 9){
				$count = $keyPro;
			}else{
				$count = '0'.$keyPro;
			}
			if($args['cs_main_layout'] === 'numbered'){
				$number_holder = '<div class="number_holder"><span>'.$count.'</span></div>';
			}else{
				$number_holder = '';
			}
			$html .= '<div>';
				$html .= '<div class="item">';
					$html .= $lightboxImg;
					$html .= '<a class="projectify__full_link '.$childLight.'" '.$link.' data-src="'.$image.'"></a>';
					$html .= $number_holder;
					$html .= $mini_opener;
						$html .= $image_relative;
						$html .= $image_holder;
					$html .= $mini_closer;
					$html .= $title_holder;
				$html .= '</div>';
			$html .= '</div>';
			wp_reset_postdata();
		}
		$html .= '</div></div></div></div>';
		$html .= Projectify_Helper::projectify_close_wrap();

		return $html;

	}
	

}

new projectifyCarouselSquare();